-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Czas generowania: 11 Lis 2019, 14:02
-- Wersja serwera: 10.1.37-MariaDB
-- Wersja PHP: 7.2.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Baza danych: `szkoly_baza`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `nauczyciele`
--

CREATE TABLE `nauczyciele` (
  `IDN` int(11) NOT NULL,
  `Imie` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `Nazwisko` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `IDS` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Zrzut danych tabeli `nauczyciele`
--

INSERT INTO `nauczyciele` (`IDN`, `Imie`, `Nazwisko`, `IDS`) VALUES
(1, 'Arkadiusz', 'Waliczek', 1),
(2, 'Arkadiusz', 'Waliczek', 2),
(3, 'Arkadiusz', 'Waliczek', 3),
(4, 'Ignacy', 'Bajor', 1),
(5, 'Ignacy', 'Bajor', 3),
(6, 'Zofia', 'Kmiecik', 1),
(7, 'Jan', 'Kowalski', 1),
(8, 'Zofia', 'Kmiecik', 2);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `przedmioty`
--

CREATE TABLE `przedmioty` (
  `IDP` int(11) NOT NULL,
  `Nazwa_przedmiotu` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `IDN` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Zrzut danych tabeli `przedmioty`
--

INSERT INTO `przedmioty` (`IDP`, `Nazwa_przedmiotu`, `IDN`) VALUES
(1, 'informatyka', 1),
(2, 'bazy danych', 1),
(3, 'witryny', 1),
(4, 'matematyka', 4),
(5, 'fizyka', 4),
(6, 'Język polski', 5),
(7, 'WOS', 5),
(8, 'Geografia', 6),
(9, 'Biologia', 6),
(10, 'Raligia', 6);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `szkoly`
--

CREATE TABLE `szkoly` (
  `IDS` int(11) NOT NULL,
  `Nazwa_Szkoly` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `Adres` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `tel` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Zrzut danych tabeli `szkoly`
--

INSERT INTO `szkoly` (`IDS`, `Nazwa_Szkoly`, `Adres`, `tel`) VALUES
(1, 'Szkoła Rolnicza', 'Pszczyna', 123456),
(2, 'Szkoła Samochodowa', 'Pszczyna', 7891011),
(3, 'Szkoła Liceum Chrobry', 'Pszczyna', 456321),
(4, 'Szkoła Liceum 21', 'Pszczyna', 159357);

--
-- Indeksy dla zrzutów tabel
--

--
-- Indeksy dla tabeli `nauczyciele`
--
ALTER TABLE `nauczyciele`
  ADD PRIMARY KEY (`IDN`),
  ADD KEY `IDS` (`IDS`);

--
-- Indeksy dla tabeli `przedmioty`
--
ALTER TABLE `przedmioty`
  ADD PRIMARY KEY (`IDP`),
  ADD KEY `IDN` (`IDN`);

--
-- Indeksy dla tabeli `szkoly`
--
ALTER TABLE `szkoly`
  ADD PRIMARY KEY (`IDS`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT dla tabeli `nauczyciele`
--
ALTER TABLE `nauczyciele`
  MODIFY `IDN` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT dla tabeli `przedmioty`
--
ALTER TABLE `przedmioty`
  MODIFY `IDP` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT dla tabeli `szkoly`
--
ALTER TABLE `szkoly`
  MODIFY `IDS` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `nauczyciele`
--
ALTER TABLE `nauczyciele`
  ADD CONSTRAINT `nauczyciele_ibfk_1` FOREIGN KEY (`IDS`) REFERENCES `szkoly` (`IDS`);

--
-- Ograniczenia dla tabeli `przedmioty`
--
ALTER TABLE `przedmioty`
  ADD CONSTRAINT `przedmioty_ibfk_1` FOREIGN KEY (`IDN`) REFERENCES `nauczyciele` (`IDN`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
